###############################################################################
# Sample configuration for OptiFine's Custom Colors feature.
# Based on the configuration for MCPatcher's Custom Colors mod.
#
###############################################################################
# color.properties
###############################################################################
#
# You only need to provide values for the properties you wish to change.  The
# default Minecraft values for each property are given below for convenience.
#
# All property names are case-sensitive.
# All colors are in hex rgb format, 000000 to ffffff.
# All paths are relative to assets/minecraft unless otherwise stated.
###############################################################################

###############################################################################
# Base color of particle effects
###############################################################################
# Base water particle (splashes, bubbles, drops) color.  Biome water color
# multiplier is applied to this value.  The value should match the color of
# your base water texture.  If your base water texture is grey so that you do
# coloring via misc/watercolorX.png, you should set this to ffffff.
particle.water=ffffff
# Base portal particle color.  A random multiplier between 0.4 and 1.0 is
# applied to all three r/g/b values.
particle.portal=ff4ce5

###############################################################################
# Nether and End colors
###############################################################################
fog.nether=330707
fog.end=181318
sky.end=282828

###############################################################################
# Lily pad color
###############################################################################
# This is a single color that is used across all biomes.
lilypad=208030

###############################################################################
# Colors for each potion effect
###############################################################################
# Final color is the average of these colors weighted by level of each potion
# effect.
potion.absorption=2552a5
potion.bad_omen=b6138
potion.blindness=1f1f23
potion.conduit_power=1dc2d1
potion.dolphins_grace=88a3be
potion.fire_resistance=e49a3a
potion.glowing=94a061
potion.haste=d9c043
potion.health_boost=f87d23
potion.hero_of_the_village=44ff44
potion.hunger=587653
potion.instant_damage=430a09
potion.instant_health=f82423
potion.invisibility=7f8392
potion.jump_boost=22ff4c
potion.levitation=ceffff
potion.luck=339900
potion.mining_fatigue=4a4217
potion.nausea=551d4a
potion.night_vision=1f1fa1
potion.poison=4e9331
potion.regeneration=cd5cab
potion.resistance=99453a
potion.saturation=f82423
potion.slow_falling=ffefd1
potion.slowness=5a6c81
potion.speed=7cafc6
potion.strength=932423
potion.unluck=c0a44d
potion.water_breathing=2e5299
potion.weakness=484d48
potion.wither=352a27
# potion.water represents a plain bottle of water
potion.water=385dc6

###############################################################################
# Spawner egg colors
# egg.<shell|spots>.<entity>=<color>
# The entity name can be given in short or in full form.
# The separator ":" in the full form has to be escaped.
# For example:
#   egg.shell.creeper=0da70b
#   egg.spots.minecraft\:creeper=000000
###############################################################################
egg.shell.<entity>=<color>
egg.spots.<entity>=<color>

###############################################################################
# Map colors
# Aliases
#   map.snow=map.white
#   map.adobe=map.orange
#   map.silver=map.light_gray
#   map.lightBlue=map.light_blue
###############################################################################
# Block map colors
map.air=000000
map.grass=66934e
map.sand=cabb93
map.cloth=c7c7c7
map.tnt=ff0000
map.ice=c0dcf0
map.iron=a7a7a7
map.foliage=3b6737
map.clay=a4a8b8
map.dirt=8e6444
map.stone=707070
map.water=2c73b0
map.wood=8f7748
map.quartz=fffcf5
map.gold=faee4d
map.diamond=5cdbd5
map.lapis=4a80ff
map.emerald=00d93a
map.obsidian=815631
map.netherrack=700200
# General map colors
map.white=ffffff
map.orange=d87f33
map.magenta=b24cd8
map.light_blue=6699d8
map.yellow=e5e533
map.lime=7fcc19
map.pink=f27fa5
map.gray=4c4c4c
map.light_gray=999999
map.cyan=4c7f99
map.purple=7f3fb2
map.blue=334cb2
map.brown=664c33
map.green=667f33
map.red=993333
map.black=191919
# Terracotta
map.white_terracotta=d1b1a1
map.orange_terracotta=9f5224
map.magenta_terracotta=95576c
map.light_blue_terracotta=706c8a
map.yellow_terracotta=ba8524
map.lime_terracotta=677535
map.pink_terracotta=a04d4e
map.gray_terracotta=392923
map.light_gray_terracotta=876b62
map.cyan_terracotta=575c5c
map.purple_terracotta=7a4958
map.blue_terracotta=4c3e5c
map.brown_terracotta=4c3223
map.green_terracotta=4c522a
map.red_terracotta=8e3c2e
map.black_terracotta=251610
# Nether
map.crimson_nylium=bd3031
map.crimson_stem=943f61
map.crimson_hyphae=5c191d
map.warped_nylium=167e86
map.warped_stem=3a8e8c
map.warped_hyphae=562c3e
map.warped_wart_block=14b485

###############################################################################
# Sheep colors
# Aliases
#   sheep.silver=sheep.light_gray
#   sheep.lightBlue=sheep.light_blue
###############################################################################
sheep.white=e6e6e6
sheep.orange=ba6015
sheep.magenta=953a8d
sheep.light_blue=2b86a3
sheep.yellow=bea22d
sheep.lime=609517
sheep.pink=b6687f
sheep.gray=353b3d
sheep.light_gray=757571
sheep.cyan=107575
sheep.purple=66258a
sheep.blue=2d337f
sheep.brown=623f25
sheep.green=465d10
sheep.red=84221c
sheep.black=151518

###############################################################################
# Wolf and cat collar colors
# Aliases
#   collar.silver=collar.light_gray
#   collar.lightBlue=collar.light_blue
###############################################################################
collar.white=f9fffe
collar.orange=f9801d
collar.magenta=c74ebd
collar.light_blue=3ab3da
collar.yellow=fed83d
collar.lime=80c71f
collar.pink=f38baa
collar.gray=474f52
collar.light_gray=9d9d97
collar.cyan=169c9c
collar.purple=8932b8
collar.blue=3c44aa
collar.brown=835432
collar.green=5e7c16
collar.red=b02e26
collar.black=1d1d21

###############################################################################
# General dye colors
# Base color for banners, beacon beam, tropical fish, wolf and cat collars 
# Aliases
#   dye.silver=dye.light_gray
#   dye.lightBlue=dye.light_blue
###############################################################################
dye.white=f9fffe
dye.orange=f9801d
dye.magenta=c74ebd
dye.light_blue=3ab3da
dye.yellow=fed83d
dye.lime=80c71f
dye.pink=f38baa
dye.gray=474f52
dye.light_gray=9d9d97
dye.cyan=169c9c
dye.purple=8932b8
dye.blue=3c44aa
dye.brown=835432
dye.green=5e7c16
dye.red=b02e26
dye.black=1d1d21

###############################################################################
# Text colors
###############################################################################
# color of exp level text
text.xpbar=80ff20
# color of "Boss Health" text
text.boss=ff00ff
# color of sign text
text.sign=000000
# color codes generated by \247 + 0123456789abcdef
text.code.0=000000
text.code.1=0000aa
text.code.2=00aa00
text.code.3=00aaaa
text.code.4=aa0000
text.code.5=aa00aa
text.code.6=ffaa00
text.code.7=aaaaaa
text.code.8=555555
text.code.9=5555ff
text.code.10=55ff55
text.code.11=55ffff
text.code.12=ff5555
text.code.13=ff55ff
text.code.14=ffff55
text.code.15=ffffff
text.code.16=000000
text.code.17=00002a
text.code.18=002a00
text.code.19=002a2a
text.code.20=2a0000
text.code.21=2a002a
text.code.22=2a2a00
text.code.23=2a2a2a
text.code.24=151515
text.code.25=15153f
text.code.26=153f15
text.code.27=153f3f
text.code.28=3f1515
text.code.29=3f153f
text.code.30=3f3f15
text.code.31=3f3f3f

###############################################################################
# Resource loading screen
###############################################################################
# Background color
screen.loading=413a2e
# Loading bar background color
screen.loading.bar=25211b
# Loading bar outline
screen.loading.outline=000000
# Loading bar foreground color
screen.loading.progress=679151
# Logo blend mode
# Where src, dst, srcA and dstA are one of: 
#   ZERO, ONE, SRC_COLOR, ONE_MINUS_SRC_COLOR, DST_COLOR, ONE_MINUS_DST_COLOR, 
#   SRC_ALPHA, ONE_MINUS_SRC_ALPHA, DST_ALPHA, ONE_MINUS_DST_ALPHA, SRC_ALPHA_SATURATE
screen.loading.blend=<off>

###############################################################################
# Other options
###############################################################################
# Override cloud type.
clouds=fast|fancy|off

# XpOrb animation duration (milliseconds)
# Default is 628 ms
xporb.time=628

###############################################################################
# Complete file list
###############################################################################
# Below is a full list of files used by the Custom Colors mod:
# NOTE: ~ is shorthand for the optifine folder (assets/minecraft/optifine)
# ~/color.properties - this file
# ~/colormap/redstone.png - 16x1 redstone colors (0=fully off, 15=fully on)
# ~/colormap/pumpkinstem.png - 8x1 pumpkin stem colors (0=sprout, 7=fully grown)
# ~/colormap/melonstem.png - 8x1 melon stem colors (0=sprout, 7=fully grown)
# ~/colormap/lavadrop.png - Nx1 lava drop colors (x=age of particle in ticks)
# ~/colormap/myceliumparticle.png - any size, random mycelium particle colors
# ~/colormap/xporb.png - any size, array of xp orb colors
# ~/colormap/durability.png - any size, array of item durability colors
#
# ~/colormap/swampgrass.png - 256x256 swamp grass color palette
# ~/colormap/swampfoliage.png - 256x256 swamp foliage color palette
# ~/colormap/pine.png - 256x256 pine tree color palette
# ~/colormap/birch.png - 256x256 birch tree color palette
# ~/colormap/water.png - 256x256 water color palette
# ~/colormap/underwater.png - 256x256 underwater color
# ~/colormap/underlava.png - 256x256 underlava color
# ~/colormap/fog0.png - 256x256 fog color for the overworld
# ~/colormap/sky0.png - 256x256 sky color for the overworld
#
# ~/lightmap/world0.png - Nx32 or Nx64 overworld lighting palettes
# ~/lightmap/world-1.png - Nx32 or Nx64 Nether lighting palettes
# ~/lightmap/world1.png - Nx32 or Nx64 End lighting palettes

###############################################################################
# Custom biome palettes
###############################################################################
# You may assign custom biome palettes to any standard block (i.e. one that
# does not already have its own special color multiplier method).  Each custom
# colormap should have a properties file in ~/colormap/custom.  See
# colormap.properties for more details.
#
# Since 1.18 the custom colormaps may have height greater than 256.
# With property "yOffset=-64" they may be used for negative Y coordinates. 
#
# Default custom colormap format:
# Mojang-style temperature+humidity maps:
#   palette.format=vanilla
# OptiFine-style grid (x=biome ID, y=height) maps:
#   palette.format=grid
# Note that this setting does not affect the vanilla foliage and grass
# colormaps in assets/minecraft/textures/colormap.  It can also be overridden
# per-colormap in each individual properties file in ~/colormap/custom